Bug 1352215 (llvm37, llvm3.7) - Review Request: llvm3.7 -- Versioned LLVM 3.7
Summary: Review Request: llvm3.7 -- Versioned LLVM 3.7
Keywords:
Status: CLOSED ERRATA
Alias: llvm37, llvm3.7
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ghc-8.0
TreeView+ depends on / blocked
 
Reported: 2016-07-02 13:56 UTC by Milan Bouchet-Valat
Modified: 2018-03-08 10:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:14:49 UTC
Type: ---


Attachments (Terms of Use)

Description Milan Bouchet-Valat 2016-07-02 13:56:43 UTC
Spec URL: https://nalimilan.fedorapeople.org/llvm37.spec
SRPM URL: https://nalimilan.fedorapeople.org/llvm37-3.7.1-3.fc24.src.rpm
Description: LLVM is a compiler infrastructure designed for compile-time,
link-time, runtime, and idle-time optimization of programs from
arbitrary programming languages.  The compiler infrastructure includes
mirror sets of programming tools as well as libraries with equivalent
functionality.
Fedora Account System Username: nalimilan
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14740294

This package is based on the llvm35 .spec file, updated to build with LLVM 3.7. I'm going to need it soon to package Julia 0.5.0 in rawhide. Then I will retire the llvm33 package, which will no longer have any reverse dependencies.

The package includes several patches which are needed by Julia. These have been submitted upstream, and are often included in LLVM 3.8.1 (which doesn't work with Julia yet). I've been using it for several months in a Copr without issues.

Comment 1 Milan Bouchet-Valat 2016-07-02 14:01:20 UTC
Jens, Orion: Since you've followed the review for llvm33, you're probably in the best position to review this new one.

Comment 2 Jens Petersen 2016-07-11 09:54:11 UTC
I am taking a look.

Comment 3 Milan Bouchet-Valat 2016-08-18 20:40:27 UTC
Thanks! As per the latest guidelines, it seems that we don't actually have to follow the standard review process since LLVM is already packaged in Fedora:
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Process

I'd still appreciate your comments, and of course I need somebody other than me to validate the request.

Comment 4 Jason Tibbitts 2016-08-18 21:14:06 UTC
Yeah, I didn't see the point in reviewing something that had already been reviewed.  Though I'm sure it could be cleaned up, there is probably utility in keeping the specs and organization similar between versions.

Comment 5 Milan Bouchet-Valat 2016-08-19 08:37:12 UTC
I still need somebody to support my request in order to get the git repos set up. :-)

Comment 6 Jason Tibbitts 2016-08-19 21:02:22 UTC
Sorry, what request do you need to be validated?  Have you requested your package in the package database?  You can use this ticket as the reference.  I can process the request, or if John does it first then he'll see this ticket.

However, it is important to note that this package is not correctly named, and you only get the review exemption if you actually follow the naming guidelines.

The name should be "llvm3.7".  Unless it really is version thirty-seven.  See https://fedoraproject.org/wiki/Packaging:Naming  The fact that llvm33 and certainly other packages are doing it wrong isn't a good reason for failing to do it correctly now.

Comment 7 Milan Bouchet-Valat 2016-08-20 19:23:17 UTC
Actually, I wanted to follow that naming convention too, but in the initial review I was asked to use llvm33 instead. Glad to see the guidelines have been made more explicit. I've changed it back to llvm3.7.

I've just requested the creation of a new git repo.

Comment 8 Jason Tibbitts 2016-08-20 20:02:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/llvm3.7

Comment 9 Fedora Update System 2016-08-23 11:02:36 UTC
llvm3.7-3.7.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a012749321

Comment 10 Fedora Update System 2016-08-23 23:21:04 UTC
llvm3.7-3.7.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a012749321

Comment 11 Fedora Update System 2016-08-27 10:14:45 UTC
llvm3.7-3.7.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Jens Petersen 2016-10-06 10:40:16 UTC
Thank you!

How about building for F24 too?

Comment 13 Milan Bouchet-Valat 2016-10-06 12:36:57 UTC
Do you need it there? If so, I can backport it of course.

Comment 14 Orion Poplawski 2016-11-07 22:45:59 UTC
Milan - could you build this for EPEL7 too?

Comment 15 Orion Poplawski 2016-11-07 22:53:58 UTC
Hmm, maybe hold of a bit.  I'm trying to use it to compile pocl, but not having luck yet.

Comment 16 Jens Petersen 2016-12-11 07:35:11 UTC
(Works great for me with ghc-8.0 FWIW.)

Comment 17 Milan Bouchet-Valat 2017-03-03 10:09:08 UTC
Jens: I was going to orphan llvm3.7 since Julia now uses llvm3.9, then I realized ghc depends on it on F26 (I had only checked F25...), so I reverted the change. But llvm3.7 still fails according to Koschei, so you may want to have a look before it's a problem for ghc.

Comment 18 Milan Bouchet-Valat 2018-03-08 08:56:21 UTC
I've just orphaned llvm3.7 on F28 and rawhide since builds have started to fail and ghc no longer uses it.

Comment 19 Jens Petersen 2018-03-08 10:59:15 UTC
Okay, f27 ghc uses llvm3.7


Note You need to log in before you can comment on or make changes to this bug.